Loading...
Searching...
No Matches
converter.h File Reference

Abstract converter. More...

`#include <functional>`
`#include <initializer_list>`
`#include <map>`
`#include <memory>`
`#include <string>`
`#include <tuple>`
`#include <utility>`
`#include <vector>`
`#include <libcamera/base/class.h>`
`#include <libcamera/base/flags.h>`
`#include <libcamera/base/signal.h>`
`#include <libcamera/geometry.h>`
`#include "libcamera/internal/v4l2_request.h"`
Include dependency graph for converter.h:
This graph shows which files directly or indirectly include this file:

Go to the source code of this file.

## Classes

class | libcamera::Converter
| Abstract Base Class for converter. More...
class | libcamera::ConverterFactoryBase
| Base class for converter factories. More...
class | libcamera::ConverterFactory< _Converter >
| Registration of ConverterFactory classes and creation of instances. More...

## Namespaces

namespace | libcamera
| Top-level libcamera namespace.

## Macros

#define | REGISTER_CONVERTER(name, converter, compatibles)
| Register a converter with the Converter factory.

## Detailed Description

Abstract converter.

## Macro Definition Documentation

## REGISTER_CONVERTER

#define REGISTER_CONVERTER | ( |  | name,
|  |  | converter,
|  |  | compatibles )

Value:
static ConverterFactory<converter> global_##converter##Factory(name, compatibles);

Register a converter with the Converter factory.

Parameters

  [in] | name | Converter name used to register the class
  [in] | converter | Class name of Converter derived class to register
  [in] | compatibles | List of compatible names

Register a Converter subclass with the factory and make it available to try and match converters.